public partial class Player : CharacterBody3D
{
	public int PeerId => GetMultiplayerAuthority();
	public bool IsLocal => this.IsAuthority();

	public MovementController  Movement  { get; private set; }
	public CameraController    Camera    { get; private set; }
	public AnimationController Animation { get; private set; }
	public PickupController    Pickup    { get; private set; }

	public override void _EnterTree()
	{
		Movement  = GetNode<MovementController>(nameof(MovementController));
		Camera    = GetNode<CameraController>(nameof(CameraController));
		Animation = GetNode<AnimationController>(nameof(AnimationController));
		Pickup    = GetNode<PickupController>(nameof(PickupController));
	}
}
